Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.query.impl
Class PropertiesInvocationHandler

    java.lang.Object
      org.eclipse.lyo.core.query.impl.PropertiesInvocationHandler

All Implemented Interfaces:
  InvocationHandler

    public class PropertiesInvocationHandler

extends Object
implements InvocationHandler

Proxy implementation of `Properties` interface

Field Summary
`protected Map<String,String>` | `prefixMap`

Constructor Summary
`PropertiesInvocationHandler()` Construct a `Properties` proxy that has a single `Wildcard` child
`PropertiesInvocationHandler(org.antlr.runtime.tree.CommonTree tree, Map<String,String> prefixMap)`

Method Summary
`Object` | `invoke(Object proxy, Method method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefixMap

    protected final Map<String,String> prefixMap

Constructor Detail

### PropertiesInvocationHandler

    public PropertiesInvocationHandler(org.antlr.runtime.tree.CommonTree tree,
                                       Map<String,String> prefixMap)

### PropertiesInvocationHandler

    public PropertiesInvocationHandler()

  Construct a `Properties` proxy that has a single `Wildcard` child

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`
  See Also:
    `InvocationHandler.invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.